import { BoldReportComponents } from './core';
import { IterableDiffers, KeyValueDiffers, ElementRef, ChangeDetectorRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class BoldReportDesignerComponent extends BoldReportComponents<any, any> {
    el: ElementRef;
    cdRef: ChangeDetectorRef;
    private _ejIterableDiffers;
    private _ejkeyvaluediffers;
    configurePaneSettings_input: any;
    dataTabIndex_input: any;
    disableCodeModule_input: any;
    enableRuler_input: any;
    enablePageMargin_input: any;
    embedToken_input: any;
    enableImpersonate_input: any;
    enableImageBlobing_input: any;
    enableTableMultipleDataAssign_input: any;
    filterDataConnectors_input: any;
    filterReportItems_input: any;
    fontNames_input: any;
    locale_input: any;
    permissionSettings_input: any;
    previewOptions_input: any;
    reportDataExtensions_input: any;
    reportItemExtensions_input: any;
    reportPath_input: any;
    reportVersion_input: any;
    reportType_input: any;
    reportServerUrl_input: any;
    serviceAuthorizationToken_input: any;
    serviceUrl_input: any;
    toolbarSettings_input: any;
    waitingPopupTemplate_input: any;
    zoomFactor_input: any;
    configurePaneSettings_items_input: any;
    configurePaneSettings_showPane_input: any;
    dataSources_name_input: any;
    dataSources_value_input: any;
    exportSettings_exportOptions_input: any;
    exportSettings_excelFormat_input: any;
    exportSettings_wordFormat_input: any;
    exportSettings_customItems_input: any;
    pageSettings_orientation_input: any;
    pageSettings_paperSize_input: any;
    pageSettings_height_input: any;
    pageSettings_width_input: any;
    pageSettings_margins_input: any;
    pageSettings_hidePageOrientation_input: any;
    parameters_labels_input: any;
    parameters_name_input: any;
    parameters_nullable_input: any;
    parameters_prompt_input: any;
    parameters_values_input: any;
    parameterSettings_delimiterChar_input: any;
    parameterSettings_popupHeight_input: any;
    parameterSettings_popupWidth_input: any;
    parameterSettings_itemWidth_input: any;
    parameterSettings_labelWidth_input: any;
    permissionSettings_dataSet_input: any;
    permissionSettings_dataSource_input: any;
    previewOptions_autoRender_input: any;
    previewOptions_dataSources_input: any;
    previewOptions_enableNotificationBar_input: any;
    previewOptions_enableVirtualEvaluation_input: any;
    previewOptions_enableParameterBlockScroller_input: any;
    previewOptions_enableDatasourceBlockScroller_input: any;
    previewOptions_enableDropDownSearch_input: any;
    previewOptions_exportSettings_input: any;
    previewOptions_pageSettings_input: any;
    previewOptions_parameters_input: any;
    previewOptions_parameterSettings_input: any;
    previewOptions_printMode_input: any;
    previewOptions_printOption_input: any;
    previewOptions_sizeToReportContent_input: any;
    previewOptions_toolbarSettings_input: any;
    previewOptions_zoomFactor_input: any;
    reportDataExtensions_name_input: any;
    reportDataExtensions_className_input: any;
    reportDataExtensions_imageClass_input: any;
    reportDataExtensions_displayName_input: any;
    reportItemExtensions_name_input: any;
    reportItemExtensions_className_input: any;
    reportItemExtensions_imageClass_input: any;
    reportItemExtensions_displayName_input: any;
    reportItemExtensions_category_input: any;
    reportItemExtensions_allowHeaderFooter_input: any;
    toolbarSettings_items_input: any;
    toolbarSettings_showToolbar_input: any;
    toolbarSettings_templateId_input: any;
    ajaxBeforeLoad_output: any;
    ajaxError_output: any;
    ajaxSuccess_output: any;
    create_output: any;
    destroy_output: any;
    newDataClick_output: any;
    openReportClick_output: any;
    previewReport_output: any;
    reportModified_output: any;
    reportOpened_output: any;
    reportSaved_output: any;
    saveReportClick_output: any;
    toolbarClick_output: any;
    toolbarRendering_output: any;
    encryptData_output: any;
    decryptData_output: any;
    constructor(el: ElementRef, cdRef: ChangeDetectorRef, _ejIterableDiffers: IterableDiffers, _ejkeyvaluediffers: KeyValueDiffers);
    static ɵfac: i0.ɵɵFactoryDeclaration<BoldReportDesignerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BoldReportDesignerComponent, "bold-reportdesigner", never, { "configurePaneSettings_input": "configurePaneSettings"; "dataTabIndex_input": "dataTabIndex"; "disableCodeModule_input": "disableCodeModule"; "enableRuler_input": "enableRuler"; "enablePageMargin_input": "enablePageMargin"; "embedToken_input": "embedToken"; "enableImpersonate_input": "enableImpersonate"; "enableImageBlobing_input": "enableImageBlobing"; "enableTableMultipleDataAssign_input": "enableTableMultipleDataAssign"; "filterDataConnectors_input": "filterDataConnectors"; "filterReportItems_input": "filterReportItems"; "fontNames_input": "fontNames"; "locale_input": "locale"; "permissionSettings_input": "permissionSettings"; "previewOptions_input": "previewOptions"; "reportDataExtensions_input": "reportDataExtensions"; "reportItemExtensions_input": "reportItemExtensions"; "reportPath_input": "reportPath"; "reportVersion_input": "reportVersion"; "reportType_input": "reportType"; "reportServerUrl_input": "reportServerUrl"; "serviceAuthorizationToken_input": "serviceAuthorizationToken"; "serviceUrl_input": "serviceUrl"; "toolbarSettings_input": "toolbarSettings"; "waitingPopupTemplate_input": "waitingPopupTemplate"; "zoomFactor_input": "zoomFactor"; "configurePaneSettings_items_input": "configurePaneSettings.items"; "configurePaneSettings_showPane_input": "configurePaneSettings.showPane"; "dataSources_name_input": "dataSources.name"; "dataSources_value_input": "dataSources.value"; "exportSettings_exportOptions_input": "exportSettings.exportOptions"; "exportSettings_excelFormat_input": "exportSettings.excelFormat"; "exportSettings_wordFormat_input": "exportSettings.wordFormat"; "exportSettings_customItems_input": "exportSettings.customItems"; "pageSettings_orientation_input": "pageSettings.orientation"; "pageSettings_paperSize_input": "pageSettings.paperSize"; "pageSettings_height_input": "pageSettings.height"; "pageSettings_width_input": "pageSettings.width"; "pageSettings_margins_input": "pageSettings.margins"; "pageSettings_hidePageOrientation_input": "pageSettings.hidePageOrientation"; "parameters_labels_input": "parameters.labels"; "parameters_name_input": "parameters.name"; "parameters_nullable_input": "parameters.nullable"; "parameters_prompt_input": "parameters.prompt"; "parameters_values_input": "parameters.values"; "parameterSettings_delimiterChar_input": "parameterSettings.delimiterChar"; "parameterSettings_popupHeight_input": "parameterSettings.popupHeight"; "parameterSettings_popupWidth_input": "parameterSettings.popupWidth"; "parameterSettings_itemWidth_input": "parameterSettings.itemWidth"; "parameterSettings_labelWidth_input": "parameterSettings.labelWidth"; "permissionSettings_dataSet_input": "permissionSettings.dataSet"; "permissionSettings_dataSource_input": "permissionSettings.dataSource"; "previewOptions_autoRender_input": "previewOptions.autoRender"; "previewOptions_dataSources_input": "previewOptions.dataSources"; "previewOptions_enableNotificationBar_input": "previewOptions.enableNotificationBar"; "previewOptions_enableVirtualEvaluation_input": "previewOptions.enableVirtualEvaluation"; "previewOptions_enableParameterBlockScroller_input": "previewOptions.enableParameterBlockScroller"; "previewOptions_enableDatasourceBlockScroller_input": "previewOptions.enableDatasourceBlockScroller"; "previewOptions_enableDropDownSearch_input": "previewOptions.enableDropDownSearch"; "previewOptions_exportSettings_input": "previewOptions.exportSettings"; "previewOptions_pageSettings_input": "previewOptions.pageSettings"; "previewOptions_parameters_input": "previewOptions.parameters"; "previewOptions_parameterSettings_input": "previewOptions.parameterSettings"; "previewOptions_printMode_input": "previewOptions.printMode"; "previewOptions_printOption_input": "previewOptions.printOption"; "previewOptions_sizeToReportContent_input": "previewOptions.sizeToReportContent"; "previewOptions_toolbarSettings_input": "previewOptions.toolbarSettings"; "previewOptions_zoomFactor_input": "previewOptions.zoomFactor"; "reportDataExtensions_name_input": "reportDataExtensions.name"; "reportDataExtensions_className_input": "reportDataExtensions.className"; "reportDataExtensions_imageClass_input": "reportDataExtensions.imageClass"; "reportDataExtensions_displayName_input": "reportDataExtensions.displayName"; "reportItemExtensions_name_input": "reportItemExtensions.name"; "reportItemExtensions_className_input": "reportItemExtensions.className"; "reportItemExtensions_imageClass_input": "reportItemExtensions.imageClass"; "reportItemExtensions_displayName_input": "reportItemExtensions.displayName"; "reportItemExtensions_category_input": "reportItemExtensions.category"; "reportItemExtensions_allowHeaderFooter_input": "reportItemExtensions.allowHeaderFooter"; "toolbarSettings_items_input": "toolbarSettings.items"; "toolbarSettings_showToolbar_input": "toolbarSettings.showToolbar"; "toolbarSettings_templateId_input": "toolbarSettings.templateId"; }, { "ajaxBeforeLoad_output": "ajaxBeforeLoad"; "ajaxError_output": "ajaxError"; "ajaxSuccess_output": "ajaxSuccess"; "create_output": "create"; "destroy_output": "destroy"; "newDataClick_output": "newDataClick"; "openReportClick_output": "openReportClick"; "previewReport_output": "previewReport"; "reportModified_output": "reportModified"; "reportOpened_output": "reportOpened"; "reportSaved_output": "reportSaved"; "saveReportClick_output": "saveReportClick"; "toolbarClick_output": "toolbarClick"; "toolbarRendering_output": "toolbarRendering"; "encryptData_output": "encryptData"; "decryptData_output": "decryptData"; }, never, never>;
}
