import { BoldReportComponents } from './core';
import { IterableDiffers, KeyValueDiffers, ElementRef, ChangeDetectorRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class BoldReportViewerComponent extends BoldReportComponents<any, any> {
    el: ElementRef;
    cdRef: ChangeDetectorRef;
    private _ejIterableDiffers;
    private _ejkeyvaluediffers;
    dataSources_input: any;
    exportSettings_input: any;
    isResponsive_input: any;
    locale_input: any;
    pageSettings_input: any;
    parameters_input: any;
    extendedAttributes_input: any;
    toolbarSettings_input: any;
    parameterSettings_input: any;
    printMode_input: any;
    printOption_input: any;
    processingMode_input: any;
    renderMode_input: any;
    reportPath_input: any;
    reportServerUrl_input: any;
    reportServiceUrl_input: any;
    zoomFactor_input: any;
    serviceAuthorizationToken_input: any;
    embedToken_input: any;
    toolbarRenderMode_input: any;
    enableParameterBlockScroller_input: any;
    enableDatasourceBlockScroller_input: any;
    sizeToReportContent_input: any;
    autoRender_input: any;
    enableNotificationBar_input: any;
    enableDropDownSearch_input: any;
    enableVirtualEvaluation_input: any;
    smartRendering_input: any;
    waitingPopupTemplate_input: any;
    enableOnScrollNavigation_input: any;
    customBrandSettings_input: any;
    customBrandSettings_link_input: any;
    customBrandSettings_domain_input: any;
    customBrandSettings_name_input: any;
    customBrandSettings_links_input: any;
    dataSources_name_input: any;
    dataSources_value_input: any;
    exportSettings_exportOptions_input: any;
    exportSettings_excelFormat_input: any;
    exportSettings_wordFormat_input: any;
    exportSettings_customItems_input: any;
    exportSettings_ImageQuality_input: any;
    exportSettings_UsePrintSizes_input: any;
    pageSettings_orientation_input: any;
    pageSettings_paperSize_input: any;
    pageSettings_height_input: any;
    pageSettings_width_input: any;
    pageSettings_margins_input: any;
    pageSettings_hidePageOrientation_input: any;
    pageSettings_hidePagePaperSizes_input: any;
    parameters_labels_input: any;
    parameters_name_input: any;
    parameters_nullable_input: any;
    parameters_prompt_input: any;
    parameters_values_input: any;
    parameterSettings_delimiterChar_input: any;
    parameterSettings_position_input: any;
    parameterSettings_popupHeight_input: any;
    parameterSettings_popupWidth_input: any;
    parameterSettings_itemWidth_input: any;
    parameterSettings_labelWidth_input: any;
    parameterSettings_minDateTime_input: any;
    parameterSettings_maxDateTime_input: any;
    parameterSettings_hideTooltip_input: any;
    parameterSettings_enablePopupResize_input: any;
    parameterSettings_hideParameterBlock_input: any;
    parameterSettings_dateTimeFormat_input: any;
    parameterSettings_timeDisplayFormat_input: any;
    parameterSettings_timeInterval_input: any;
    parameterSettings_accessInternalValue_input: any;
    toolbarSettings_click_input: any;
    toolbarSettings_items_input: any;
    toolbarSettings_toolbars_input: any;
    toolbarSettings_showToolbar_input: any;
    toolbarSettings_showTooltip_input: any;
    toolbarSettings_autoHide_input: any;
    toolbarSettings_autoHideDelay_input: any;
    toolbarSettings_templateId_input: any;
    toolbarSettings_customItems_input: any;
    toolbarSettings_customGroups_input: any;
    drillThrough_output: any;
    renderingBegin_output: any;
    renderingComplete_output: any;
    reportError_output: any;
    reportExport_output: any;
    reportLoaded_output: any;
    reportCanceled_output: any;
    showError_output: any;
    viewReportClick_output: any;
    ajaxBeforeLoad_output: any;
    ajaxSuccess_output: any;
    ajaxError_output: any;
    toolbarRendering_output: any;
    exportProgressChanged_output: any;
    printProgressChanged_output: any;
    exportItemClick_output: any;
    toolBarItemClick_output: any;
    hyperlink_output: any;
    reportPrint_output: any;
    beforeParameterAdd_output: any;
    constructor(el: ElementRef, cdRef: ChangeDetectorRef, _ejIterableDiffers: IterableDiffers, _ejkeyvaluediffers: KeyValueDiffers);
    static ɵfac: i0.ɵɵFactoryDeclaration<BoldReportViewerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BoldReportViewerComponent, "bold-reportviewer", never, { "dataSources_input": "dataSources"; "exportSettings_input": "exportSettings"; "isResponsive_input": "isResponsive"; "locale_input": "locale"; "pageSettings_input": "pageSettings"; "parameters_input": "parameters"; "extendedAttributes_input": "extendedAttributes"; "toolbarSettings_input": "toolbarSettings"; "parameterSettings_input": "parameterSettings"; "printMode_input": "printMode"; "printOption_input": "printOption"; "processingMode_input": "processingMode"; "renderMode_input": "renderMode"; "reportPath_input": "reportPath"; "reportServerUrl_input": "reportServerUrl"; "reportServiceUrl_input": "reportServiceUrl"; "zoomFactor_input": "zoomFactor"; "serviceAuthorizationToken_input": "serviceAuthorizationToken"; "embedToken_input": "embedToken"; "toolbarRenderMode_input": "toolbarRenderMode"; "enableParameterBlockScroller_input": "enableParameterBlockScroller"; "enableDatasourceBlockScroller_input": "enableDatasourceBlockScroller"; "sizeToReportContent_input": "sizeToReportContent"; "autoRender_input": "autoRender"; "enableNotificationBar_input": "enableNotificationBar"; "enableDropDownSearch_input": "enableDropDownSearch"; "enableVirtualEvaluation_input": "enableVirtualEvaluation"; "smartRendering_input": "smartRendering"; "waitingPopupTemplate_input": "waitingPopupTemplate"; "enableOnScrollNavigation_input": "enableOnScrollNavigation"; "customBrandSettings_input": "customBrandSettings"; "customBrandSettings_link_input": "customBrandSettings.link"; "customBrandSettings_domain_input": "customBrandSettings.domain"; "customBrandSettings_name_input": "customBrandSettings.name"; "customBrandSettings_links_input": "customBrandSettings.links"; "dataSources_name_input": "dataSources.name"; "dataSources_value_input": "dataSources.value"; "exportSettings_exportOptions_input": "exportSettings.exportOptions"; "exportSettings_excelFormat_input": "exportSettings.excelFormat"; "exportSettings_wordFormat_input": "exportSettings.wordFormat"; "exportSettings_customItems_input": "exportSettings.customItems"; "exportSettings_ImageQuality_input": "exportSettings.ImageQuality"; "exportSettings_UsePrintSizes_input": "exportSettings.UsePrintSizes"; "pageSettings_orientation_input": "pageSettings.orientation"; "pageSettings_paperSize_input": "pageSettings.paperSize"; "pageSettings_height_input": "pageSettings.height"; "pageSettings_width_input": "pageSettings.width"; "pageSettings_margins_input": "pageSettings.margins"; "pageSettings_hidePageOrientation_input": "pageSettings.hidePageOrientation"; "pageSettings_hidePagePaperSizes_input": "pageSettings.hidePagePaperSizes"; "parameters_labels_input": "parameters.labels"; "parameters_name_input": "parameters.name"; "parameters_nullable_input": "parameters.nullable"; "parameters_prompt_input": "parameters.prompt"; "parameters_values_input": "parameters.values"; "parameterSettings_delimiterChar_input": "parameterSettings.delimiterChar"; "parameterSettings_position_input": "parameterSettings.position"; "parameterSettings_popupHeight_input": "parameterSettings.popupHeight"; "parameterSettings_popupWidth_input": "parameterSettings.popupWidth"; "parameterSettings_itemWidth_input": "parameterSettings.itemWidth"; "parameterSettings_labelWidth_input": "parameterSettings.labelWidth"; "parameterSettings_minDateTime_input": "parameterSettings.minDateTime"; "parameterSettings_maxDateTime_input": "parameterSettings.maxDateTime"; "parameterSettings_hideTooltip_input": "parameterSettings.hideTooltip"; "parameterSettings_enablePopupResize_input": "parameterSettings.enablePopupResize"; "parameterSettings_hideParameterBlock_input": "parameterSettings.hideParameterBlock"; "parameterSettings_dateTimeFormat_input": "parameterSettings.dateTimeFormat"; "parameterSettings_timeDisplayFormat_input": "parameterSettings.timeDisplayFormat"; "parameterSettings_timeInterval_input": "parameterSettings.timeInterval"; "parameterSettings_accessInternalValue_input": "parameterSettings.accessInternalValue"; "toolbarSettings_click_input": "toolbarSettings.click"; "toolbarSettings_items_input": "toolbarSettings.items"; "toolbarSettings_toolbars_input": "toolbarSettings.toolbars"; "toolbarSettings_showToolbar_input": "toolbarSettings.showToolbar"; "toolbarSettings_showTooltip_input": "toolbarSettings.showTooltip"; "toolbarSettings_autoHide_input": "toolbarSettings.autoHide"; "toolbarSettings_autoHideDelay_input": "toolbarSettings.autoHideDelay"; "toolbarSettings_templateId_input": "toolbarSettings.templateId"; "toolbarSettings_customItems_input": "toolbarSettings.customItems"; "toolbarSettings_customGroups_input": "toolbarSettings.customGroups"; }, { "drillThrough_output": "drillThrough"; "renderingBegin_output": "renderingBegin"; "renderingComplete_output": "renderingComplete"; "reportError_output": "reportError"; "reportExport_output": "reportExport"; "reportLoaded_output": "reportLoaded"; "reportCanceled_output": "reportCanceled"; "showError_output": "showError"; "viewReportClick_output": "viewReportClick"; "ajaxBeforeLoad_output": "ajaxBeforeLoad"; "ajaxSuccess_output": "ajaxSuccess"; "ajaxError_output": "ajaxError"; "toolbarRendering_output": "toolbarRendering"; "exportProgressChanged_output": "exportProgressChanged"; "printProgressChanged_output": "printProgressChanged"; "exportItemClick_output": "exportItemClick"; "toolBarItemClick_output": "toolBarItemClick"; "hyperlink_output": "hyperlink"; "reportPrint_output": "reportPrint"; "beforeParameterAdd_output": "beforeParameterAdd"; }, never, never>;
}
